Last Comment Bug 581612 - Add showOnlyTheseTabs functionality to tabbrowser
: Add showOnlyTheseTabs functionality to tabbrowser
Status: RESOLVED FIXED
: dev-doc-complete
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: ---
Assigned To: Ed Lee :Mardak
: tabcandy
Mentors:
Depends on: 580847 581267 581736
Blocks: 580878 582116 582872
  Show dependency treegraph
 
Reported: 2010-07-23 17:03 PDT by Ed Lee :Mardak
Modified: 2016-04-12 14:00 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (6.70 KB, patch)
2010-07-23 17:20 PDT, Ed Lee :Mardak
no flags Details | Diff | Review
v1 (6.70 KB, patch)
2010-07-23 17:21 PDT, Ed Lee :Mardak
ian: review-
ian: feedback-
Details | Diff | Review

Description Ed Lee :Mardak 2010-07-23 17:03:29 PDT
Instead of Tabbar.showOnlyTheseTabs, it can be part of tabbrowser.

Assuming bug 580847 is fixed to move the tabs to the right places, there shouldn't be a need for the current functionality of reordering tabs when showing only those tabs.
Comment 1 Ed Lee :Mardak 2010-07-23 17:20:06 PDT
Created attachment 459970 [details] [diff] [review]
v1
Comment 2 Ed Lee :Mardak 2010-07-23 17:21:42 PDT
Created attachment 459972 [details] [diff] [review]
v1
Comment 3 Ed Lee :Mardak 2010-07-23 19:37:01 PDT
Seems like Raymond rolled the show functionality into UIManager:
http://hg.mozilla.org/users/edward.lee_engineering.uiuc.edu/tabcandy-central/rev/b1c26205b38b
Comment 4 Raymond Lee [:raymondlee] 2010-07-23 19:56:01 PDT
(In reply to comment #3)
> Seems like Raymond rolled the show functionality into UIManager:
> http://hg.mozilla.org/users/edward.lee_engineering.uiuc.edu/tabcandy-central/rev/b1c26205b38b

Oh, sorry.  I saw the comment 2 in bug 581267 and miss this one.
Comment 5 Ed Lee :Mardak 2010-07-25 22:13:34 PDT
http://hg.mozilla.org/users/edward.lee_engineering.uiuc.edu/tabcandy-central/rev/11493ab7c276
Move and simplify showOnlyTheseTabs functionality into tabbrowser now that there's no reordering happening on show.
Comment 6 Ed Lee :Mardak 2010-07-26 13:38:23 PDT
http://hg.mozilla.org/users/edward.lee_engineering.uiuc.edu/tabcandy-central/rev/430dddaaf423
Call updateTabBarForActiveGroup so that Group is correctly set for this.
Comment 7 Ian Gilman [:iangilman] 2010-07-26 13:38:38 PDT
Comment on attachment 459972 [details] [diff] [review]
v1

Looks good except for this line:

Utils.timeout(Groups.updateTabBarForActiveGroup, 400);

"this" won't be set up properly.
Comment 8 Ed Lee :Mardak 2010-07-26 13:51:09 PDT
See comment 6.
Comment 9 :Ehsan Akhgari (out sick) 2010-08-13 12:59:47 PDT
Mass moving all Tab Candy bugs from Mozilla Labs to Firefox::Tab Candy.  Filter the bugmail spam with "tabcandymassmove".
Comment 10 Eric Shepherd [:sheppy] 2010-08-19 06:38:07 PDT
Documented here:

https://developer.mozilla.org/en/XUL/Method/showOnlyTheseTabs
https://developer.mozilla.org/en/XUL/Method/showAllTabs

Added to the list of methods on tabbrowser here:

https://developer.mozilla.org/en/XUL/tabbrowser

Linked from Firefox 4 for developers.
Comment 11 Ed Lee :Mardak 2010-08-19 07:14:49 PDT
sheppy, sorry for the confusion, but this bug originally landed as part of the tabcandy-central branch, and the code that landed in m-c is in bug 582116 where there ended up not being a showAllTabs.
Comment 12 Eric Shepherd [:sheppy] 2010-08-19 07:18:27 PDT
Removed showAllTabs from the docs; thanks!

Note You need to log in before you can comment on or make changes to this bug.